import request from '@/utils/request'

// 查询路由管理列表
export function listGateway(query) {
  return request({
    url: '/cti/gateway/list',
    method: 'get',
    params: query
  })
}

// 查询路由管理详细
export function getGateway(id) {
  return request({
    url: '/cti/gateway/' + id,
    method: 'get'
  })
}

// 新增路由管理
export function addGateway(data) {
  return request({
    url: '/cti/gateway',
    method: 'post',
    data: data
  })
}

// 修改路由管理
export function updateGateway(data) {
  return request({
    url: '/cti/gateway',
    method: 'put',
    data: data
  })
}

// 删除路由管理
export function delGateway(id) {
  return request({
    url: '/cti/gateway/' + id,
    method: 'delete'
  })
}
